package com.tzld.piaoquan.wecom.common.enums;

import lombok.Getter;

@Getter
public enum StaffExtEnum {
    STAFF_EXT_ENUM_1("wogizUDQAAzM5HbqIyA4k3KR6D8vKp3w", "songyi", "推荐官"),
    STAFF_EXT_ENUM_2("wogizUDQAAk5Z_5nLRD-XTAPU9poaRCw", "XinYi", "分享官"),
    STAFF_EXT_ENUM_3("wogizUDQAA1oa8qD5jh_qvVkfNbyohUw", "17512006748", "福利官");


    final String id;
    final String carrierId;
    final String remark;

    StaffExtEnum(String id, String carrierId, String remark) {
        this.id = id;
        this.carrierId = carrierId;
        this.remark = remark;
    }

    public static StaffExtEnum find(String id) {
        if (id == null) {
            return null;
        }
        for (StaffExtEnum value : StaffExtEnum.values()) {
            if (id.equals(value.getId())) {
                return value;
            }
        }
        return null;
    }


}
